///////////////////////////////////////////////////////
// Licensed Materials - Property of IBM
// 5724-W86, 5724-X63
// @ Copyright IBM Corporation 2010. All Rights Reserved.
// US Government Users Restricted Rights- Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
///////////////////////////////////////////////////////

var pack_prefix="AP~Specific~Bulk~ECI~";

var input_file_hash = {
	"cesr":   {
		"/physical/etherphy":   { 	columns: 11,
			  			subelement_suffix_field: 3, 
			  			prop: { "ECI_Device_Type": "CESR",
                                  			"ECI_Interface_Type": "physical_etherphy" 
						},
                          			metric_prefix: pack_prefix + "Physical Interface",
                          			metrics: { 	"ifInCrcErrors": 4,
								"ifOutCrcErrors": 5,
								"ifOutFifoErrors": 7
					 	}
                  	},
                "/physical/ethermac":   {       columns: 25,
                                                subelement_suffix_field: 3,
			  			prop: { "ECI_Device_Type": "CESR",
                                                        "ECI_Interface_Type": "physical_ethermac"
                                                },
                                                metric_prefix: pack_prefix + "Physical Interface",
                                                metrics: {      "ifInBytes": 4,
                                                                "ifOutBytes": 6,
                                                                "ifInBitsPerSecond": 8,
                                                                "ifOutBitsPerSecond": 10,
                                                                "ifInUcastPkts": 12,
                                                                "ifOutUcastPkts": 13,
                                                                "ifInBroadcastPkts": 14,
                                                                "ifOutBroadcastPkts": 15,
                                                                "ifInMulticastPkts": 16,
                                                                "ifOutMulticastPkts": 17
                                                }
                        },
		"/logical/vlan":   { 		columns: 35,
			  			subelement_suffix_field: 3, 
			  			prop: { "ECI_Device_Type": "CESR",
                                  			"ECI_Interface_Type": "logical_vlan" 
						},
                          			metric_prefix: pack_prefix + "Logical Interface",
                          			metrics: { 	"greenBytes": 11,
								"yellowBytes": 13,
								"redBytes": 15
					 	}
                  	},
	//	"/system/os/cpu/np2": {   	columns: 6,
		"/system/os/cpu/np": {   	columns: 6,
                                                subelement_suffix_field: 3,
			  			prop: { "ECI_Device_Type": "CESR",
                                                       // "ECI_Interface_Type": "system_os_cpu_np2"
                                                        "ECI_Interface_Type": "system_os_cpu_np"
                                                },
                                                metric_prefix: pack_prefix + "Systems",
                                                metrics: {      "User": 4,
                                                                "System": 5,
                                                                "Idle": 6
                                                }
                        },
               // "/system/os/mem/np2":   {    	columns: 7,
                "/system/os/mem/np":   {    	columns: 7,
                                                subelement_suffix_field: 3,
			  			prop: { "ECI_Device_Type": "CESR",
                                                        "ECI_Interface_Type": "system_os_mem_np"
                                                       // "ECI_Interface_Type": "system_os_mem_np2"
                                                },
                                                metric_prefix: pack_prefix + "Systems",
                                                metrics: {      "TotalMemory": 4,
                                                                "UsedMemory": 5
                                                }
                        },
                "/system/os/cpu/rcpa": {        columns: 6,
                                                subelement_suffix_field: 3,
			  			prop: { "ECI_Device_Type": "CESR",
                                                        "ECI_Interface_Type": "system_os_cpu_rcpa"
                                                },
                                                metric_prefix: pack_prefix + "Systems",
                                                metrics: {      "User": 4,
                                                                "System": 5,
                                                                "Idle": 6
                                                }
                        },
                "/system/os/mem/rcpa":   {      columns: 7,
                                                subelement_suffix_field: 3,
			  			prop: { "ECI_Device_Type": "CESR",
                                                        "ECI_Interface_Type": "system_os_mem_rcpa"
                                                },
                                                metric_prefix: pack_prefix + "Systems",
                                                metrics: {      "TotalMemory": 4,
                                                                "UsedMemory": 5
                                                }
                        },
                "/system/os/cpu/rcpb": {        columns: 6,
                                                subelement_suffix_field: 3,
			  			prop: { "ECI_Device_Type": "CESR",
                                                        "ECI_Interface_Type": "system_os_cpu_rcpb"
                                                },
                                                metric_prefix: pack_prefix + "Systems",
                                                metrics: {      "User": 4,
                                                                "System": 5,
                                                                "Idle": 6
                                                }
                        },
                "/system/os/mem/rcpb":   {      columns: 7,
                                                subelement_suffix_field: 3,
			  			prop: { "ECI_Device_Type": "CESR",
                                                        "ECI_Interface_Type": "system_os_mem_rcpb"
                                                },
                                                metric_prefix: pack_prefix + "Systems",
                                                metrics: {      "TotalMemory": 4,
                                                                "UsedMemory": 5
                                                }
                        },
                "/cos/queueblock":   {          columns: 11,
                                                subelement_suffix_field: 3,
			  			prop: { "ECI_Device_Type": "CESR",
                                                        "ECI_Interface_Type": "cos_queueblock"
                                                },
                                                metric_prefix: pack_prefix + "CoS~Queuing",
                                                metrics: {      "_default-queue0-depthP": 4,
                                                                "_default-queue0-depthB": 5,
                                                                "_default-queue0-dropP": 6,
                                                                "_default-queue0-maxBuffer": 7,
                                                                "_default-queue1-depthP": 8,
                                                                "_default-queue1-depthB": 9,
                                                                "_default-queue1-dropP": 10,
                                                                "_default-queue1-maxBuffer": 11
                                                }
                        },
                "/cos/schedbuf":   {          	columns: 17,
                                                subelement_suffix_field: 3,
			  			prop: { "ECI_Device_Type": "CESR",
                                                        "ECI_Interface_Type": "cos_schedbuf"
                                                },
                                                metric_prefix: pack_prefix + "CoS~Scheduling",
                                                metrics: {      "Configured ef+ Minimum": 6,
                                                                "Configured ef+ Maximum": 7,
                                                                "Utilized ef+": 8,
                                                                "Configured ef Minimum": 9,
                                                                "Configured ef Maximum": 10,
                                                                "Utilized ef": 11,
                                                                "Configured af Minimum": 12,
                                                                "Configured af Maximum": 13,
                                                                "Utilized af": 14,
                                                                "Configured be Minimum": 15,
                                                                "Configured be Maximum": 16,
                                                                "Utilized be": 17
                                                }
                        }
        },

	"bbras": {
		"/logical/vlan": {
			columns: 35,
			subelement_suffix_field: 3,
			prop: {	"ECI_Device_Type": "BBRAS",
				"ECI_Interface_Type": "logical_vlan"
			},
			metric_prefix: pack_prefix + "Logical Interface",
			metrics: {
				"CompliantBytes": 10,
				"Nc1Bytes": 13,
				"Nc2Bytes": 15
			}
		},
	
		"/logical/ppp": {
			columns: 15,
			subelement_suffix_field: 3,
			prop: {	"ECI_Device_Type": "BBRAS",
				"ECI_Interface_Type": "logical_ppp"
			},
			metric_prefix: pack_prefix + "Logical Interface",
			metrics: {
				"CompliantBytes": 11,
				"Nc1Bytes": 13,
				"Nc2Bytes": 15
			}
		},

		"/system/os/cpu/np1-a": {
			columns: 6,
			subelement_suffix_field: 3,
			prop: {	"ECI_Device_Type": "BBRAS",
				"ECI_Interface_Type": "system_os_cpu_np1-a"
			},
			metric_prefix: pack_prefix + "Systems",
			metrics: {
				"User": 4,
				"System": 5,
				"Idle": 6
			}
		},

		"/system/os/cpu/np1-b": {
			columns: 6,
			subelement_suffix_field: 3,
			prop: {	"ECI_Device_Type": "BBRAS",
				"ECI_Interface_Type": "system_os_cpu_np1-b"
			},
			metric_prefix: pack_prefix + "Systems",
			metrics: {
				"User": 4,
				"System": 5,
				"Idle": 6
			}
		},

		"/system/os/mem/np1-a": {
			columns: 7,
			subelement_suffix_field: 3,
			prop: {	"ECI_Device_Type": "BBRAS",
				"ECI_Interface_Type": "system_os_mem_np1-a"
			},
			metric_prefix: pack_prefix + "Systems",
			metrics: {
				"TotalMemory": 4,
				"UsedMemory": 5
			}
		},

		"/system/os/mem/np1-b": {
			columns: 7,
			subelement_suffix_field: 3,
			prop: {	"ECI_Device_Type": "BBRAS",
				"ECI_Interface_Type": "system_os_mem_np1-b"
			},
			metric_prefix: pack_prefix + "Systems",
			metrics: {
				"TotalMemory": 4,
				"UsedMemory": 5
			}
		},

		"/system/os/mem/rcpa": {
			columns: 7,
			subelement_suffix_field: 3,
			prop: {	"ECI_Device_Type": "BBRAS",
				"ECI_Interface_Type": "system_os_mem_rcpa"
			},
			metric_prefix: pack_prefix + "Systems",
			metrics: {
				"TotalMemory": 4,
				"UsedMemory": 5
			}
		},

		"/system/os/cpu/rcpa": {
			columns: 6,
			subelement_suffix_field: 3,
			prop: {	"ECI_Device_Type": "BBRAS",
				"ECI_Interface_Type": "system_os_cpu_rcpa"
			},
			metric_prefix: pack_prefix + "Systems",
			metrics: {
				"User": 4,
				"System": 5,
				"Idle": 6
			}
		},

		"/physical/CiscoHdlcEncap": {
			columns: 21,
			subelement_suffix_field: 3,
			prop: {	"ECI_Device_Type": "BBRAS",
				"ECI_Interface_Type": "physical_CiscoHdlcEncap"
			},
			metric_prefix: pack_prefix + "Physical Interface",
			metrics: {
				"ifInBytes": 4,
				"ifOutBytes": 6,
				"ifInBitsPerSecond": 8,
				"ifOutBitsPerSecond": 10 
			}
		},

		"/physical/ethermac": {
			columns: 23,
			subelement_suffix_field: 3,
			prop: {	"ECI_Device_Type": "BBRAS",
				"ECI_Interface_Type": "physical_ethermac"
			},
			metric_prefix: pack_prefix + "Physical Interface",
			metrics: {
				"ifInBytes": 4,
				"ifOutBytes": 6,
				"ifInBitsPerSecond": 8,
				"ifOutBitsPerSecond": 10,
				"ifInUcastPkts": 14,
				"ifOutUcastPkts": 15,
				"ifInBroadcastPkts": 16,
				"ifOutBroadcastPkts": 17,
				"ifInMulticastPkts": 18,
				"ifOutMulticastPkts": 19
			}
		},

		"/physical/etherphy": {
			columns: 11,
			subelement_suffix_field: 3,
			prop: {	"ECI_Device_Type": "BBRAS",
				"ECI_Interface_Type": "physical_etherphy"
			},
			metric_prefix: pack_prefix + "Physical Interface",
			metrics: {
				"ifInCrcErrors": 4,
				"ifOutCrcErrors": 5,
				"ifOutFifoErrors": 7
			}
		},
	
		"/physical/sonetPath": {
			columns: 11,
			subelement_suffix_field: 3,
			prop: {	"ECI_Device_Type": "BBRAS",
				"ECI_Interface_Type": "physical_sonetPath"
			},
			metric_prefix: pack_prefix + "Physical Interface",
			metrics: {
				"pathBipCnt": 4,
				"pathReiCnt": 5,
				"pathRdiCnt": 6,
				"pathAisCnt": 7
			}
		},

		"/cos/queueblock": {
			columns: 11,
			subelement_suffix_field: 3,
			prop: {	"ECI_Device_Type": "BBRAS",
				"ECI_Interface_Type": "cos_queueblock"
			},
			metric_prefix: pack_prefix + "CoS~Queuing",
			metrics: {
				"_default-queue0-depthP": 4,
				"_default-queue0-depthB": 5,
				"_default-queue0-dropP": 6,
				"_default-queue0-maxBuffer": 7,
				"_default-queue1-depthP": 8,
				"_default-queue1-depthB": 9,
				"_default-queue1-dropP": 10,
				"_default-queue1-maxBuffer": 11
			}
		},

		"/cos/schedbuf": {
			columns: 13,
			subelement_suffix_field: 3,
			prop: {	"ECI_Device_Type": "BBRAS",
				"ECI_Interface_Type": "cos_schedbuf"
			},
			metric_prefix: pack_prefix + "CoS~Scheduling",
			metrics: {
				"Configured CBR Minimum": 5,
				"Configured CBR Maximum": 6,
				"Utilized CBR": 7,
				"Configured VBR Minimum": 8,
				"Configured VBR Maximum": 9,
				"Utilized VBR": 10,
				"Configured UBR Minimum": 11,
				"Configured UBR Maximum": 12,
				"Utilized UBR": 13
			}
		},

		"/logical/ciscohdlc": {
			columns: 15,
			subelement_suffix_field: 3,
			prop: {	"ECI_Device_Type": "BBRAS",
				"ECI_Interface_Type": "logical_ciscohdlc"
			},
			metric_prefix: pack_prefix + "Logical Interface",
			metrics: {
				"CompliantBytes": 11,
				"Nc1Bytes": 13,
				"Nc2Bytes": 15
			}
		},
	
		"/physical/pppEncap": {
			columns: 25,
			subelement_suffix_field: 3,
			prop: {	"ECI_Device_Type": "BBRAS",
				"ECI_Interface_Type": "physical_pppEncap"
			},
			metric_prefix: pack_prefix + "Physical Interface",
			metrics: {
				"ifInBytes": 4,
				"ifOutBytes": 6,
				"ifInBitsPerSecond": 8, 
				"ifOutBitsPerSecond": 10
			}
		}
	}
};
