///////////////////////////////////////////////////////
// Licensed Materials - Property of IBM
// 5724-W86, 5724-X63
// @ Copyright IBM Corporation 2010. All Rights Reserved.
// US Government Users Restricted Rights- Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
///////////////////////////////////////////////////////

function onProcessRecord(record) {
       	var fullRec = record.fullRecord;
       	var fields = fullRec.split(",");

       	var subelementType = fields[0];
       	var subelementName = record.hostName + "_" + record.fileType + "_" + fields[0] + "_" + fields[2];
//	var seLabel = fields[0] + "_" + fields[2];
       	var seLabel = fields[2];
   if (record.fileType != undefined) {
	

	for ( var resourceType in input_file_hash[record.fileType] ) {
//		PV.Logger.logDebug("I", "onProcessRecord", "SEName:" + subelementName +  " fileType:" + record.fileType + " resourceType:" + resourceType + " SEType:" + subelementType);
		if (subelementType.indexOf(resourceType) >= 0) {
			var elementName = record.hostName;
			var element = createElement(this, elementName);
//           		PV.Logger.logDebug("I", "onProcessRecord", "MATCHED","ElementName:" + element + "subelementType:" + subelementType + " resourceType:" + resourceType);
			var subelement = createSubElement(this, record, element, subelementName, seLabel, subelementType);

			createMetrics(operator, record, element, subelement, subelementType, fullRec);
		} else {
	//		PV.Logger.logDebug("W", "onProcessRecord", "ECI-BRAS", "Record undefined in hash table: [" + record.fileType + "]: " + subelementType);
		}
	}
   } else {
           PV.Logger.logDebug("W", "onProcessRecord", "ECI-BRAS", "undefined fileType");
   }
}

function createElement(operator, elementName) {
        var element = operator.elementNamedOrNew(elementName);
        return element;
}

function createSubElement(operator, record, element, sename, selabel, setype) {
        var subelement = operator.subelementNamedOrNew(sename);
        subelement.state = true;
        subelement.family = "ECI-BRAS";
        subelement.invariant = "ECI-BRAS";
        subelement.label = selabel;
        subelement.timestamp = record.timestamp;
        subelement.element = element;

	for ( var resourceType in input_file_hash[record.fileType] ) {
	   if (setype.indexOf(resourceType) != -1 ) {
		for( var property in input_file_hash[record.fileType][resourceType].prop ) if (input_file_hash[record.fileType][resourceType].prop.hasOwnProperty(property)) {
			subelement.addProperty(property.toString(), input_file_hash[record.fileType][resourceType].prop[property]);
                }
	   }
	}
        return subelement;
}

function createMetrics(operator, record, elem, sename, setype, fullRecord) {
        var fields = fullRecord.split(",");
        var metric = operator.FloatMetric();

   for ( var resourceType in input_file_hash[record.fileType] ) {
      if (setype.indexOf(resourceType) != -1 ) {
        for ( var m in input_file_hash[record.fileType][resourceType].metrics ) if (input_file_hash[record.fileType][resourceType].metrics.hasOwnProperty(m)) {
                var metric = operator.FloatMetric();
                metric.name = input_file_hash[record.fileType][resourceType].metric_prefix + "~" + m;
                metric.timestamp = record.timestamp;
                metric.value = Number(fields[input_file_hash[record.fileType][resourceType].metrics[m] - 1]);
                metric.resource = sename;
                operator.addMetric(metric);
//		PV.Logger.logDebug("I", "createMetrics", "ECI-BRAS", "element: " + elem.name + " subelement: " + sename.name + " mname: " + metric.name + " mval: " + metric.value);
		}
} 
} 
} 

// END
